Commits

Stewart Mackenzie committed 1b9a615

cleared up naming

  • Participants
  • Parent commits 660986d

Comments (0)

Files changed (3)

 
 $ hg clone http://bitbucket.org/sj_mackenzie/earlybrew
 $ make bootstrap
-$ ./earlybrew.sh <proj_name>
+$ ./setup.sh <proj_name>
 $ make rel
 $ rel/earlybrew/bin/earlybrew console
 $ curl http://localhost:8000/

File earlybrew.sh

-#!/bin/bash
-
-NAME=$1
-if [ -z $NAME ] || [[ $NAME =~ ^[\.\~\/] ]]; then
-    echo "usage: earlybrew.sh project_name"
-    exit 1
-fi
-COFFEEMACHINE=$PWD/apps/coffeemachine
-WWW=$COFFEEMACHINE/priv/www/
-CAPPGEN=$WWW/$NAME
-TEMPLATEDIR=$PWD/t
-NEWWEBMACHINE=$PWD/deps/webmachine/scripts/new_webmachine.sh
-export CAPP_BUILD=$PWD/cappuccino/cappuccino-dist
-PATH=$PWD/cappuccino/narwhal/bin:$PATH
-
-$(rm -fr $COFFEEMACHINE)
-$NEWWEBMACHINE coffeemachine apps &&
-capp gen $CAPPGEN -l &&
-$(mv $CAPPGEN/* $WWW)
-$(cp -fr $TEMPLATEDIR/* $COFFEEMACHINE/)
-$(rm -fr $CAPPGEN $COFFEEMACHINE/deps $COFFEEMACHINE/README $COFFEEMACHINE/rebar $COFFEEMACHINE/start.sh)
-
-
+#!/bin/bash
+
+NAME=$1
+if [ -z $NAME ] || [[ $NAME =~ ^[\.\~\/] ]]; then
+    echo "usage: earlybrew.sh project_name"
+    exit 1
+fi
+COFFEEMACHINE=$PWD/apps/coffeemachine
+WWW=$COFFEEMACHINE/priv/www/
+CAPPGEN=$WWW/$NAME
+TEMPLATEDIR=$PWD/t
+NEWWEBMACHINE=$PWD/deps/webmachine/scripts/new_webmachine.sh
+export CAPP_BUILD=$PWD/cappuccino/cappuccino-dist
+PATH=$PWD/cappuccino/narwhal/bin:$PATH
+
+$(rm -fr $COFFEEMACHINE)
+$NEWWEBMACHINE coffeemachine apps &&
+capp gen $CAPPGEN -l &&
+$(mv $CAPPGEN/* $WWW)
+$(cp -fr $TEMPLATEDIR/* $COFFEEMACHINE/)
+$(rm -fr $CAPPGEN $COFFEEMACHINE/deps $COFFEEMACHINE/README $COFFEEMACHINE/rebar $COFFEEMACHINE/start.sh)
+
+